Subject: Re: [kitten] SPAKE and non-deterministic RFC 3961 checksums

From: "Henry B (Hank) Hotz, CISSP" <[email-masked]>
Date: Sun, 1 Oct 2017 16:53:46 -0700

In my mind, the bigger issue is if we will *ever* want a non-deterministic checksum again. I’m unable to think of a reason, but I don’t know what we don’t know that might make us want such a thing.

Not very satisfying. 

Still, I vote we just prohibit 1DES+SPAKE and move on.

> On Sep 30, 2017, at 12:02 PM, Benjamin Kaduk <[email-masked]> wrote:
> 
> On Sat, Sep 30, 2017 at 02:05:25AM -0700, Henry B (Hank) Hotz, CISSP wrote:
>> 
>>> On Sep 27, 2017, at 7:21 PM, Benjamin Kaduk <[email-masked]> wrote:
>>> 
>>> As I understand it, there is not much (any?) modern software that strictly
>>> requires single-DES, but there are also many sites where the effort to
>>> upgrade has not been expended.  Even in ATHENA.MIT.EDU, we have cross-realm
>>> keys that are actively used (albeit not for terribly critical functionality)
>>> that remain single-DES because of the logistical challenges involved in
>>> getting both KDC administrators in contact and with a trusted channel.
>>> 
>>> -Ben
>> 
>> I know that kind of thing can be much harder than it seems it should. OTOH, do you think that difficulty (as a specific example) should prevent us from stipulating "no 1des with SPAKE”?
> 
> No, I don't think examples of that sort should prevent us from placing
> that restriction on SPAKE usage.
> 
> -Ben

Personal email.  [email-masked]